org.keycloak.protocol.oidc.utils

## Class AuthorizeClientUtil

- java.lang.Object
- - org.keycloak.protocol.oidc.utils.AuthorizeClientUtil

-     public class AuthorizeClientUtil
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthorizeClientUtil.ClientAuthResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizeClientUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthorizeClientUtil.ClientAuthResult` | `authorizeClient(KeycloakSession session, EventBuilder event, Cors cors)`
    `static ClientAuthenticatorFactory` | `findClientAuthenticatorForOIDCAuthMethod(KeycloakSession session, String oidcAuthMethod)`
    `static AuthenticationProcessor` | `getAuthenticationProcessor(KeycloakSession session, EventBuilder event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizeClientUtil

          public AuthorizeClientUtil()

  - ### Method Detail

    - #### authorizeClient

          public static AuthorizeClientUtil.ClientAuthResult authorizeClient(KeycloakSession session,
                                                                             EventBuilder event,
                                                                             Cors cors)

    - #### getAuthenticationProcessor

          public static AuthenticationProcessor getAuthenticationProcessor(KeycloakSession session,
                                                                           EventBuilder event)

    - #### findClientAuthenticatorForOIDCAuthMethod

          public static ClientAuthenticatorFactory findClientAuthenticatorForOIDCAuthMethod(KeycloakSession session,
                                                                                            String oidcAuthMethod)

Copyright © 2021 JBoss by Red Hat. All rights reserved.